<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
	<meta charset="UTF-8">
	<meta name="viewport"
		content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
		integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css"
		integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
	<link rel="stylesheet" th:href="@{/css/style.css}" />
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<title>Admin</title>
</head>

<body class="banner">

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script src="/js/admin/policy.js"></script>
	<script src="/js/admin/policyValidation.js"></script>
	<!-- Start navigation bar -->

	<nav class="navbar navbar-expand-lg navbar-dark bg-secondary">
		<div class="container-fluid">
			<a class="navbar-brand" href="#">
				<img th:src="@{/images/logo.png}" width="auto" height="40" class="d-inline-block align-top" alt="" />
			</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
				aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<ul class="navbar-nav ml-auto text-uppercase">

					<li class="nav-item active">
						<a class="nav-link" th:href="@{/admin/policies}" href="#">all-policies</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link" th:href="@{/admin/companies/add}" href="#">all-companies</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link" th:href="@{/admin}" href="#">admin-home</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link" th:href="@{/logout}" href="#">logout</a>
					</li>

				</ul>

			</div>
		</div>
	</nav>

	<!-- Close navigation bar -->


	<!-- Add policy form -->


	<div id="main" class="container">
		<h3>Add a new Policy</h3>
		<form name="policy" id="policy" onsubmit="return validateForm()" method="post" th:object="${policyDTO}"
			enctype="multipart/form-data">
			<div class="row">
				<div class="col-sm-5">

					<input type="hidden" name="id" th:field="*{id}">
					<div class="form-group">
						<label for="name">Name</label>
						<input type="text" class="form-control form-control-lg" required th:field="*{name}" name="name"
							id="name" placeholder="Enter name">
						<div class="error text-danger" id="nameErr"></div>
					</div>
					<div class="form-group">
						<label for="company">Select Company</label>
						<select class="form-control" th:field="*{companyId}" id="company" name="company">
							<option th:each="company :${companies}" th:value="${company.id}"
								th:text="${company.name}">
						</select>
					</div>

					<div class="form-group">
						<label for="price">Price</label>
						<input type="number" class="form-control" required th:field="*{price}" name="price" id="price"
							placeholder="Price">
						<div class="error text-danger" id="priceErr"></div>
					</div>
					
					<div class="form-group">
						<label for="year">Year</label>
						<input type="number" class="form-control" required th:field="*{year}" name="year" id="year"
							placeholder="Year">
					</div>

					<div class="form-group">
						<label for="claimable">Claimable </label>
						<input type="number" class="form-control" required th:field="*{claimable}" name="claimable"
							id="claimable" placeholder="Claimable">
					</div>
					<div class="form-group">
						<label for="description">Policy Description</label>
						<textarea class="form-control" rows="5" th:field="*{description}" name="description" required
							id="description"></textarea>
						<div class="error text-danger" id="descriptionErr"></div>
					</div>

				</div>
				<div class="col-sm-5">
					<p>Policy Image</p>
					<div class="custom-file">
						<input type="file" class="custom-file-input" name="policyImage" accept="image/jpeg, image/png"
							id="policyImage" />
						<label class="custom-file-label" for="policyImage">Choose file</label>
					</div>
					<div class="form-group">
						<img src="#" id="imgPreview" height="100px" width="100px"
							th:src="@{${'/policyImages/' + policyDTO.imageName}}" style="margin-top: 20px" alt=" ">
					</div>
					<input type="hidden" id="imgName" name="imgName" th:value="${policyDTO.imageName}">

					<button type="submit" id="submit" class="btn btn-primary">Submit</button>

					<!-- <input type="button" value="Submit" id="submit" class="btn btn-primary" onclick="submitForm()" /> -->
					&nbsp;
					<a th:href="@{/admin/policies}" style="margin: 20px 0" class="btn btn-primary">All-Policy</a>
				</div>
			</div>
		</form>
	</div>

	<!-- policy form end -->

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
		integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
		crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
		integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
		crossorigin="anonymous"></script>

	<!-- for image load scripting tag -->

	<script>
		function readURL(input) {
			if (input.files && input.files[0]) {
				var reader = new FileReader();
				reader.onload = function (e) {
					$('#imgPreview').attr('src', e.target.result).width(100).height(100);
				}
				reader.readAsDataURL(input.files[0])
			}
		}
		$('#policyImage').change(function () {
			readURL(this);
		});
		$(".custom-file-input").on("change", function () {
			var fileName = $(this).val().split("\\").pop();
			$(this).siblings(".custom-file-label").addClass("selected").html(fileName);
		});
	</script>

</body>

</html>